# $Id: library.rb 322 2005-04-27 14:17:25Z tilman $

require "rbconfig"

class Library
	def initialize(name, prefix, dir, lib = name)
		@name = name
		@prefix = prefix
		@dir = dir
		@lib = lib
	end

	def ldflags
		s = "#{ENV["LDFLAGS"]} -L #{@prefix}/lib -L " +
		    Config::CONFIG["libdir"] + " " +
		    Config::CONFIG["LIBRUBYARG_SHARED"] +
		    " -shared -Wl"
		s << " -l#{@lib}" unless @lib.nil?
		s
	end

	def cflags
		"#{ENV["CFLAGS"]} -I #{@prefix}/include " +
		"-I #{Config::CONFIG['archdir']} " +
		"-I #{Config::CONFIG['sitearchdir']} -fPIC"
	end

	def so
		"#{@dir}/#{@name}.so"
	end

	def objects
		Dir["#{@dir}/*.c"].map { |f| f.sub(/\.[^.]+$/, ".o") }
	end
end
