/*
 * $Id: rb_rectangle.c 354 2006-02-10 18:14:08Z tilman $
 *
 * Copyright (C) 2004 Tilman Sauerbeck (tilman at code-monkey de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <ruby.h>

#include <Evas.h>

#include "rb_evas_main.h"
#include "rb_evas.h"
#include "rb_evas_object.h"

/*
 * call-seq:
 *  Evas::Rectangle.new(evas) => rect
 *
 * Creates an Evas::Rectangle object.
 */
static VALUE c_init (VALUE self, VALUE evas)
{
	CHECK_CLASS (evas, cEvas);
	GET_OBJ (evas, RbEvas, e);
	GET_OBJ (self, RbEvasObject, rect);

	rect->real = evas_object_rectangle_add (e->real);

	rb_call_super (1, &evas);

	return self;
}

void Init_Rectangle (void)
{
	VALUE c = rb_define_class_under (mEvas, "Rectangle", cEvasObject);

	rb_define_method (c, "initialize", c_init, 1);
}
